petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLabelGather

Gather all label values from leafs into roots

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelGather(DMLabel label, PetscSF sf, DMLabel *labelNew)

### Input Parameters

| label | - the DMLabel Many br
| point | - the Star Forest point communication map Many br

### Input Parameters

| label | - the new DMLabel with localised leaf values Many br

Many br

Note: This is the inverse operation to DMLabelDistribute. Many br

### See Also

DMLabelDistribute()

Level:developer
Location:src/dm/labeldmlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages